function [ ll] = BayesLRIsing( X,Y,lambda,Nn)
%Computes the log posterior of the Y|X for a linear system represented by
%Y=X'B+e where e is the noise. b = scale parameter of the inverse gamma prior for the noise varience.
%lambda is the ridge parameter of the information ridge prior. Nn = number
%of nodes in the network. ll = calculated log posterior
a=1;
n=length(Y);
s=size(X);
p=s(1);

c=n;

a1=n/2+a;
Ip=eye(p);
P=X*X';
alpha1=1;
beta1=2;
V=(P+lambda*Ip)/c;
b1=1+0.5*(Y*Y'-Y*X'*((P+V)\eye(size(P)))*X*Y');
%ll= (-p/2)*log(c)+ 
%+(log(gamma(Nn+1))-log(gamma(p+1))-log(gamma(Nn-p)))
dN=Nn-p;
if(dN==0)
    dN=1;
end
ll=0.5*log(det(V))-0.5*log(det(V+P))-a1*log(b1)+(log(gamma(Nn+1))-log(gamma(p+1))-log(gamma(dN)))+log(beta(alpha1+p,beta1+Nn-p));

end
