function [PS] = ExecuteMultipleTimes( data, pert,noit, times)
%% Inputs:  
%%(a)data= (N x Np) Global response matrix; N= Number of nodes; Np = Number of perturbation experiments; 
%%(b)pert = N x Np binary matrix where pert(i,j)=1 indicates that data(:,j) is the global response of the network when node i node is perturbed.
%%(c)noit = number of Gibbs scans; 
%%(d)times =number of times the program is intended to be execute
%% Outputs:
%%(a) PS= posterior edge probability matrix .


sd=size(data);
PS=zeros(sd(1),sd(1));

for i=1:times
    index=[1:sd(2)];
    G=createInitialGraph1(sd(1),sd(1)-2);
      
    [P]=GibbsNetInfIsing(data(:,index),pert(:,index),[1:sd(1)],G,noit);
    PS=PS+P;

end

PS=PS/times;
end

