function [ PA] = sampleIsing( G,i,data,pert1,varindex,noit,burn)
%Samples from the marginal likelihood of A_i, G graph, i node index,
%indegree maximum indegree, noit numbers of iteration, B is the  matrix of
%potential for Markov random fied prior. alpha is the contribution of each
%variabe to the prior.

%Choose the right perturbations
data1=getDataVec(data,pert1,i);

sd=size(data1);


%Choose the right species
sp1=setdiff(varindex,i);

%Exclude the output from the input covariate
X=data1(sp1,:);
% Determine the output 
Y=data1(i,:);

%ith row of the initial graph
A1=G(i,:);
%Initialize the posterior probability matrix;
PA=zeros(1,length(G));
ll=BayesLRIsing(X,Y,0.1,length(A1)-1);
count = 0;
for j=1:noit
    for k=1:length(sp1)
        [val ll]=GibbsIsing(X,Y,A1(sp1),k,ll);
        A1(sp1(k))=val;
    end
   if j>burn
      PA(sp1)=PA(sp1)+A1(sp1);
   end 
  
end

PA=PA/(noit-burn);
end
